> ## Documentation Index
> Fetch the complete documentation index at: https://docs.viggle.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Character

> Remove a Character from the current account.

Deletes a Character owned by the current account. The endpoint returns `404` when the Character does not exist or belongs to another account.

## Request parameters

| Parameter      | Type   | Required | Description                   |
| -------------- | ------ | :------: | ----------------------------- |
| `character_id` | string |    Yes   | Complete public Character ID. |

## Response parameters

Returns `200 OK`.

| Field    | Type   | Required | Description                                   |
| -------- | ------ | :------: | --------------------------------------------- |
| `status` | string |    Yes   | Always `deleted` after a successful deletion. |

## Examples

<CodeGroup>
  ```go Go theme={null}
  req, _ := http.NewRequest("DELETE", "https://apis.viggle.ai/v1/characters/"+characterID, nil); req.Header.Set("Authorization", "Bearer "+apiKey); resp, err := http.DefaultClient.Do(req)
  ```

  ```javascript JavaScript theme={null}
  const response = await fetch(`https://apis.viggle.ai/v1/characters/${characterId}`, {method:"DELETE", headers:{Authorization:`Bearer ${process.env.VIGGLE_API_KEY}`}});
  ```

  ```python Python theme={null}
  response = requests.delete(f"https://apis.viggle.ai/v1/characters/{character_id}", headers={"Authorization": f"Bearer {os.environ['VIGGLE_API_KEY']}"})
  ```

  ```bash cURL theme={null}
  curl -X DELETE "https://apis.viggle.ai/v1/characters/$CHARACTER_ID" -H "Authorization: Bearer $VIGGLE_API_KEY"
  ```
</CodeGroup>


## OpenAPI

````yaml DELETE /v1/characters/{character_id}
openapi: 3.0.3
info:
  title: Viggle API
  description: Generate AI-powered character animation videos
  version: 2.0.0
  contact:
    name: Viggle Support
    url: https://viggle.ai
servers:
  - url: https://apis.viggle.ai
    description: Production server
security: []
paths:
  /v1/characters/{character_id}:
    delete:
      summary: Delete Character
      operationId: v1DeleteCharacter
      responses:
        '200':
          description: Deleted

````